inputs:
  input:
    doc: File containing file names. The file must contain at least one file path per line, with multiple paths being separated by a whitespace. Each line in the file corresponds to one bin. Valid extensions for the paths in the file are [minimiser] when  using preprocessed input from \fBraptor prepare\fP, and [embl,fasta,fa,fna,ffn,faa,frn,fas,fastq,fq,genbank,gb,gbk,sam], possibly followed by [bz2,gz,bgzf].  The input file must exist and read permissions must be granted.
    type: File
    inputBinding:
      prefix: --input
  output:
    doc: " A valid path for the output directory."
    type: string
    inputBinding:
      prefix: --output
  threads:
    doc: "The number of threads to use. Default: 1. Value must be a positive integer."
    type: long?
    inputBinding:
      prefix: --threads
  kmer:
    doc: "The k-mer size. Default: 20. Value must be in range [1,32]."
    type: long?
    inputBinding:
      prefix: --kmer
  window:
    doc: "The window size. Default: 20. Value must be a positive integer."
    type: long?
    inputBinding:
      prefix: --window
  shape:
    doc: "The shape to use for k-mers. Mutually exclusive with --kmer. Parsed from right to left. Default: . Value must match the pattern '[01]+'."
    type: string?
    inputBinding:
      prefix: --shape
  kmer-count-cutoff:
    doc: "Only store k-mers with at least (>=) x occurrences. Mutually exclusive with --use-filesize-dependent-cutoff. Default: 1. Value must be in range [1,254]."
    type: long?
    inputBinding:
      prefix: --kmer-count-cutoff
outputs:
  {}
label: Raptor-prepare
doc: "Computes minimisers for the use with \\fBraptor layout\\fP and \\fBraptor build\\fP.\nCan continue where it left off after a crash or in multiple runs.\n"
cwlVersion: v1.2
class: CommandLineTool
baseCommand:
  - raptor
  - prepare
