inputs:
  index:
    doc: "Provide a valid path to an index. Parts: Without suffix _0 "
    type: string
    inputBinding:
      prefix: --index
  query:
    doc: "Provide a path to the query file. The input file must exist and read permissions must be granted. Valid file extensions are [embl,fasta,fa,fna,ffn,faa,frn,fas,fastq,fq,genbank,gb,gbk,sam], possibly followed by [bz2,gz,bgzf]. "
    type: File
    inputBinding:
      prefix: --query
  output:
    doc: " A valid path for the output file. Write permissions must be granted."
    type: string
    inputBinding:
      prefix: --output
  threads:
    doc: "The number of threads to use. Default: 1. Value must be a positive integer."
    type: long?
    inputBinding:
      prefix: --threads
  error:
    doc: "The number of errors. Mutually exclusive with --threshold. Default: 0. Value must be a positive integer or 0."
    type: long?
    inputBinding:
      prefix: --error
  threshold:
    doc: "Ratio of k-mers that need to be found for a hit to occur. Mutually exclusive with --error. Default: nan. Value must be in range [0,1]."
    type: double?
    inputBinding:
      prefix: --threshold
  query_length:
    doc: "The query length. Only influences the threshold when using --error. Enables skipping of the query length computation for both --error and --threshold. Default: 0. "
    type: long?
    inputBinding:
      prefix: --query_length
  tau:
    doc: "The higher tau, the lower the threshold. Default: 0.9999. Value must be in range [0,1]."
    type: double?
    inputBinding:
      prefix: --tau
  p_max:
    doc: "The higher p_max, the lower the threshold. Default: 0.15. Value must be in range [0,1]."
    type: double?
    inputBinding:
      prefix: --p_max
outputs:
  {}
label: Raptor-search
doc: "Queries a Raptor index.\n"
cwlVersion: v1.2
class: CommandLineTool
baseCommand:
  - raptor
  - search
