inputs:
  fpr:
    doc: "The false positive rate. Mutually exclusive with --bins. Default: nan. Value must be in range [0.000000,1.000000]."
    type: double?
    inputBinding:
      prefix: --fpr
  bins:
    doc: "File containing one file per line per bin. Mutually exclusive with --fpr. Default: \"\". The input file must exist and read permissions must be granted."
    type: File?
    inputBinding:
      prefix: --bins
  input:
    doc: "The index to upgrade. Parts: Without suffix _0 "
    type: string
    inputBinding:
      prefix: --input
  output:
    doc: "Path to new index. "
    type: string
    inputBinding:
      prefix: --output
outputs:
  {}
label: Raptor-upgrade
doc: "Upgrades a Raptor index created with Raptor 2.0 to be compatible with Raptor 3.0.\nThe only new parameter need is the false positive rate. The false positive rate affects the search results. This can be done in three different ways:\n\\fB1)\\fP Pass the false positive rate via --fpr.\n\\fB2)\\fP The false positive rate can be automatically determined if the paths of the files used to build the index are still available.\n\\fB3)\\fP Pass a file containing the path to the original files, one line per file. The false positive rate can then be automatically determined. The order of the files does not matter. The file with the most k-mers will determine the false positive rate.\n"
cwlVersion: v1.2
class: CommandLineTool
baseCommand:
  - raptor
  - upgrade
